[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.Assign

Copies values from the specified persistent object into the current class instance.

## Declaration

Source position: comctrls.pp line 1061

`public procedure TListItem.Assign(`
`ASource: TPersistent`
`); override;`

## Arguments

`ASource` |  | Persistent object with values copied in the method.

## Description

Assign is an overridden method used copy property values from the persistent object in ASource into the current class instance. When ASource is a TListItem descendant, the following property values are copied:

- Caption
- Data
- ImageIndex
- SubItems

If ASource is not descended from TListItem, the inherited method is called to handle the assignment.

## See also

TPersistent.Assign